%global gem_name pry-nav
Name:                rubygem-%{gem_name}
Version:             1.0.0
Release:             1
Summary:             Simple execution navigation for Pry
License:             MIT
URL:                 https://github.com/nixme/pry-nav
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildArch:           noarch
BuildRequires:       ruby(release) rubygems-devel ruby >= 1.8.7
%description
Turn Pry into a primitive debugger. Adds 'step' and 'next' commands to control
execution.

%package        doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description    doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.github/workflows/main.yml
%exclude %{gem_instdir}/*
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile

%changelog
* Tue Jun 28 2022 wulei <wulei80@h-partners.com> - 1.0.0-1
- Upgrade to 1.0.0

* Fri Mar 4 2022 yanan li <liyanan32@huawei.com> - 0.3.0-2
- Relax rubygem-pry dependency.

* Wed Jul 29 2020 yanan li <liyanan032@huawei.com> - 0.3.0-1
- Package init
